<?session_start();

$id=intval($_GET[id]);

// Записываем cookies
setcookie("view2",$id,time()+86400);

include("config.php");

$user=$_SESSION["username"];

// Подгружаем информацию о ссылке
$sql="SELECT id, user, members, plan, link, title, time, pod FROM tb_adsmail WHERE id='$id' and play = '0'";
$result=mysql_query($sql);
$row=mysql_fetch_assoc($result);

mysql_close($con);


// Страница VIEW
if ($_GET['page']=="view") {

// Устанавливаем view
$_SESSION["view2"]="$id";

// Выводим cookies и время
$viewt=$_COOKIE["view2"];
$time=time();
$times=$time-86400;

// Проверям ссылку
if ($row[id]=="" | $row[members]==$row[plan] | $row[members]>$row[plan]) {print"<table height=100%><td><font color=#ff0000><b>Ошибка! Письма не существует!</b></font></td></table>"; exit;}

// Проверка на время просмотра
$timelink=$_SESSION["timemail"];
$timelink2=time();
$timelink3=$timelink2-$timelink+3;

if ($timelink3<$row[time]) {print"<table height=100%><td><font color=#ff0000><b>Ошибка! Сайт необходимо просмотреть в течение $row[time] сек.!</b></font></td></table>"; exit;}

// Проверка на массовый просмотр
if ($viewt!="") {
if ($viewt!=$id) {print"<table height=100%><td><font color=#ff0000><b>Ошибка! Сайты рекламодателей необходимо смотреть по одному!</b></font></td></table>"; exit;}}

// Проверка на просмотр в 24 часа

require("config.php");

$substr=substr($user,0,1);

$sql_v="SELECT tr_$substr FROM tb_adsmail WHERE id='$row[id]' AND play = '0' AND tr_$substr LIKE '%$user,%'";
$result_v=mysql_query($sql_v);
$row_v=mysql_fetch_assoc($result_v);

if ($row_v!="") {
print"<table height=100%><td><img src=img/ok.gif width=16 height=16 border=0 align=absmiddle> <font color=#00cc00><b>Просмотр засчитан!</b></font></td></table>"; exit;}


if ($row["pod"]==1) {
if ($_POST["pod"]=="") {
?>


<style>
a {color:#ff0000; font-size:9pt; font-family:arial; text-decoration: none;}
a:hover {color:#880000; text-decoration: none;}
</style>

<?
print"<table width=100%>
<td align=center width=250>

<form method=POST action=\"\">
<input type=hidden value=1 name=pod>
<input type=submit value=\"Подтвердить просмотр\">
</form>

</td>
<td valign=top><small>
<b>Описание ссылки:</b> $row[title]<br>
<b>Адрес сайта:</b> <a href=$row[link] target=_blank>$row[link]</a></small>
</td>
<td align=right>"; ?>
Счетчик
<? print"</td>
</table>";
exit;
}
}




// Добавляем просмотр
$sql_a="SELECT tr_$substr FROM tb_adsmail WHERE id='$row[id]' and play = '0'";
$result_a=mysql_query($sql_a);
$row_a=mysql_fetch_assoc($result_a);

$ppc=$row_a["tr_$substr"];

$updads="UPDATE tb_adsmail SET tr_$substr='$ppc$user, ' WHERE id='$id' and play = '0'";
mysql_query($updads);



// Выводим информацию о пользователе

require('karera/setup_status.php');

$referer = mysql_query("SELECT * FROM `tb_users` WHERE `username` = '$user'");
$refer = mysql_fetch_assoc($referer);

$click = mysql_query("SELECT * FROM tb_config WHERE item='mail_clic'");
$cl = mysql_fetch_assoc($click);
$cl_price = $cl["price"];

if($refer["blockpay"] == 1){

  echo "<table height=100%><td><font color=#ff0000><b>
  Вы нарушили правила системы и не можете больше зарабатывать!
  </b></font></td></table>";
  exit();

}

if ($refer["username"] == "") {

	echo "<table height=100%><td><font color=#ff0000><b>
	Ошибка! Пользователя не существует!
	</b></font></td></table>";
	exit;

}


if($refer["referer"] != ""){

  $referer1 = mysql_query("SELECT * FROM `tb_users` WHERE `username` = '".$refer["referer"]."'");
  $refer1 = mysql_fetch_assoc($referer1);

  $doxod_ref1 = $cl_price * ($st_users[$refer1["ball_status"]]["dox_ref"]/100);

  mysql_query("UPDATE tb_users
  SET `views_mails_ref` = `views_mails_ref` + '1', `money` = `money` + '$doxod_ref1'
  WHERE username='".$refer["referer"]."'");

  if($refer1["referer"] != ""){

    $referer2 = mysql_query("SELECT * FROM `tb_users` WHERE `username` = '".$refer1["referer"]."'");
	$refer2 = mysql_fetch_assoc($referer2);

	$doxod_ref2 = $cl_price * ($st_users[$refer2["ball_status"]]["dox_ref2"]/100);

    mysql_query("UPDATE `tb_users`
    SET  `money` = `money` + '$doxod_ref2'
    WHERE `username` = '".$refer1["referer"]."'");

  }

}

mysql_query("UPDATE `tb_users`
SET `views_mails` = `views_mails` + '1', `doxod` = `doxod` + '$doxod_ref1' + '$doxod_ref2', `money` = `money` + '$cl_price'
WHERE username='$user'");


// Обновляем данные
$updads="UPDATE `tb_adsmail` SET `members` = `members` + '1' WHERE id='$id' and play = '0'";
mysql_query($updads);
$nowtime=time();

// Отправляем информацию рекламодателю
$itmembers=$row[members]+1;
$itplan = time() - (7*86400);
if ($itmembers>=$row[plan] or ($itplan > $row[plan] and $row[plan] > 1200004011)) {

$del_mail = "DELETE FROM tb_adsmail WHERE id='$id' and play = '0'";
mysql_query($del_mail); $wel++;

require_once("_ap.php");
$title="Ваша платная рассылка завершила свой показ";
$text="Здравствуйте! Ваша платная рассылка на сайт $row[link] завершила свой показ.\n Заказано: $row[plan] Клики пользователей: $row[plan].\n Чтобы добавить свою рассылку заново, зайдите на страницу http://almazz-bux.info/advertise.php \n Спасибо, что воспользовались нашими услугами!\n *Это автоматическое информационное сообщение, отвечать на него необязательно*";

$response = $wmxi->X6($row[user],trim($title),trim(str_replace("\r", "", $text)));
$structure = $parser->Parse($response, DOC_ENCODING);
$transformed = $parser->Reindex($structure, true);

}
?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<title>Пожалуйста, просмотрите сайт рекламодателя...</title>
<style>
a {color:#F9F9F9; font-size:9pt; font-family:arial; text-decoration: none;}
a:hover {color:#880000; text-decoration: none;}
</style>
</head>
<body>
<table width=100%>
<td align=center width=250>
<img src=img/ok.gif width=16 height=16 border=0 align=absmiddle> <font color=#00cc00><b>Просмотр засчитан!</b></font>
</td>
<td valign=top><small>
<b>Описание ссылки:</b> <? print"$row[title]"; ?><br>
<b>Адрес сайта:</b> <a href=<? print"$row[link]"; ?> target=_blank><? print"$row[link]"; ?></a></small>
</td>
<td align=right>
<!--LiveInternet counter--><script type="text/javascript"><!--
document.write("<a href='http://www.liveinternet.ru/click' "+
"target=_blank><img src='http://counter.yadro.ru/hit?t22.3;r"+
escape(document.referrer)+((typeof(screen)=="undefined")?"":
";s"+screen.width+"*"+screen.height+"*"+(screen.colorDepth?
screen.colorDepth:screen.pixelDepth))+";u"+escape(document.URL)+
";"+Math.random()+
"' alt='' title='LiveInternet: показано число просмотров за 24"+
" часа, посетителей за 24 часа и за сегодня' "+
"border='0' width='88' height='31'><\/a>")
//--></script><!--/LiveInternet-->
</td>
</table>

</body>
</html>
<?

exit;
}


?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<title>Пожалуйста, просмотрите сайт рекламодателя...</title>
<style>
a {color:red; font-size:9pt; font-family:arial; text-decoration: none;}
a:hover {color:#880000; text-decoration: none;}
</style>
</head>
<body>

<script type="text/javascript">
setTimeout('location.replace("view_mail_s.php?page=view&id=<? print"$id"; ?>")', <? print"$row[time]"; ?>000);
</script>
  <script type="text/javascript">
function timer(){
  var obj=document.getElementById('sfbtimer');
  obj.innerHTML--;
  if(obj.innerHTML==0){

  setTimeout(function(){},1000);}
  else{setTimeout(timer,1000);}
}
setTimeout(timer,1000);
</script>
<noscript>
<meta http-equiv="refresh" content="<? print"$row[time]"; ?>; url=view_mail_s.php?page=view&id=<? print"$id"; ?>">
</noscript>
<table width=100%>
<td align=center width=250>
<small>Пожалуйста, подождите <font color="red" id="sfbtimer"><? print"$row[time]"; ?></font> сек.</small>
<br>

</td>
<td valign=top><small>
<b>Описание ссылки:</b> <? print"$row[title]"; ?><br>
<b>Адрес сайта:</b> <a href=<? print"$row[link]"; ?> target=_blank><? print"$row[link]"; ?></a></small>
</td>
<td align=right>
<!--LiveInternet counter--><script type="text/javascript"><!--
document.write("<a href='http://www.liveinternet.ru/click' "+
"target=_blank><img src='http://counter.yadro.ru/hit?t22.3;r"+
escape(document.referrer)+((typeof(screen)=="undefined")?"":
";s"+screen.width+"*"+screen.height+"*"+(screen.colorDepth?
screen.colorDepth:screen.pixelDepth))+";u"+escape(document.URL)+
";"+Math.random()+
"' alt='' title='LiveInternet: показано число просмотров за 24"+
" часа, посетителей за 24 часа и за сегодня' "+
"border='0' width='88' height='31'><\/a>")
//--></script><!--/LiveInternet-->
</td>
</table>

</body>
</html>